Summary: Queue manager for the Postfix/Exim Mail Transport Agents
Name: pfqueue 
Version: 0.5.6
Release: 12%{?dist}
License: GPLv2+
Group: Applications/Internet
URL: http://pfqueue.sourceforge.net/
Source: http://downloads.sourceforge.net/pfqueue/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ncurses-devel

%description
pfqueue is a console application for managing mail queues used by the Postfix
or Exim mail transport agents.

%prep

%setup -q 

%build
%configure --disable-dependency-tracking --disable-static --disable-rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm -f %{buildroot}/%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_bindir}/spfqueue
%{_bindir}/pfqueue
%{_libdir}/libpfq*.so*
%{_mandir}/man1/pfqueue.1*
%{_mandir}/man5/pfqueue.conf.5*

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.5.6-8
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5.6-7
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.5.6-6
- Rebuild for selinux ppc32 issue.

* Mon Jun 18 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 0.5.6-5
- Initial import into Fedora / EPEL
- Fix Source URL

* Wed Jun 13 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 0.5.6-3.mf
- Remove the rpath from binaries @ build time.

* Wed Feb 14 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 0.5.6-1.mf
- New upstream version.

* Fri Feb 2 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 0.5.5-1.mf
- New upstream version. Handles postfix "corrupt" queues now.

* Sat Jan 20 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 0.5.4-1.mf
- New upstream version

* Wed Sep 27 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 0.5.3-1.mf
- New upstream version

* Thu May 25 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 0.5.2-2.mf
- Bump

* Fri Feb 3 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 0.5.2-1.fc4.mf
- 0.5.2
- Remove .la files
- Add spfqueue

* Thu Jan 12 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 0.5.1-1.fc4.mf
- 0.5.1

* Thu Sep 1 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 0.5.0-1.fc4.mf
- 0.5.0

* Wed Jul 5 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 0.4.2-1.fc4.mf
- 0.4.2

* Sat Jun 18 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 0.4.1-1.fc4.mf
- Rebuilt

* Sat May 21 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 0.4.0-1.fc3.mf
- 0.4.0
- Description and Summary changed to reflect Exim support.
- Requires dropped (again due to exim support.)

* Sat May 21 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 0.3.8-1.fc3.mf
- 0.3.8

* Sat Apr 23 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 0.3.7-1.fc3.mf
- 0.3.7
- Specfile cleanups.

* Sat Apr 23 2005 Michael Fleming <mfleming+rpm@enlartenment.com>
- 0.3.6
- Small spec cleanups

* Wed Mar 23 2005 Michael Fleming <mfleming+rpm@enlartenment.com>
- 0.3.5
- Group change (to System)

* Tue Mar 8 2005 Michael Fleming <mfleming+rpm@enlartenment.com>
- 0.3.4

* Wed Feb 23 2005 Michael Fleming <mfleming+rpm@enlartenment.com>
- 0.3.3

* Fri Feb 18 2005 Michael Fleming <mfleming+rpm@enlartenment.com>
- 0.3.2

* Fri Feb 11 2005 Michael Fleming <mfleming+rpm@enlartenment.com>
- 0.3.1

* Sat Jan 29 2005 Michael Fleming <mfleming+rpm@enlartenment.com>
- 0.3.0 (threading for better responsiveness)

* Fri Jan 14 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 
- 0.2.1 (major feature enhancements)

* Wed Jan 5 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 
- Initial packaging
